Fluxos

GET https://pushye.com/api/flows/
curl --request GET \
--url 'https://pushye.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
Parâmetros Detalhes Descrição
search Opcional String A string de busca.
search_by Opcional String Qual campo você está pesquisando? Os valores permitidos são: name, title, description, url.
website_id Opcional Inteiro
datetime_field Opcional String Valores permitidos: last_sent_datetime, datetime, last_datetime
datetime_start Opcional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opcional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opcional String Qual campo ordenar os resultados. Os valores permitidos são: flow_id, datetime, last_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type Opcional String A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente.
page Opcional Inteiro O número da página de onde você deseja os resultados. O padrão é 1.
results_per_page Opcional Inteiro Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Example",
            "description": "Example",
            "url": "https://example.com/",
            "image_url": "https://example.com/",
            "segment": "Example",
            "settings": [],
            "wait_time": 1,
            "wait_time_type": "Example",
            "is_enabled": true,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-09-11 12:29:39"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pushye.com/api/flows?page=1",
        "last": "https://pushye.com/api/flows?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/flows?page=1"
    }
}
GET https://pushye.com/api/flows/{flow_id}
curl --request GET \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": [],
        "wait_time": 1,
        "wait_time_type": "Example",
        "is_enabled": true,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-09-11 12:29:39"
    }
}
POST https://pushye.com/api/flows
Parâmetros Detalhes Descrição
website_id Requerido Inteiro -
name Requerido String -
title Requerido String -
description Requerido String -
url Opcional String -
image Opcional Arquivo -
wait_time Requerido Inteiro -
wait_time_type Requerido String Valores permitidos: minutes, hours, days
trigger_type Opcional String Valores permitidos: subscription, pageview
pageview_trigger_condition Opcional String Valores permitidos: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with
pageview_trigger_value Opcional String -
cancel_pageview_is_enabled Opcional Boolean -
cancel_pageview_condition Opcional String Valores permitidos: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with
cancel_pageview_value Opcional String -
cooldown_type Opcional String Valores permitidos: none, once, time
cooldown_time Opcional Inteiro -
cooldown_time_type Opcional String Valores permitidos: minutes, hours, days
button_title_1 Opcional String -
button_url_1 Opcional String -
button_title_2 Opcional String -
button_url_2 Opcional String -
is_silent Opcional Boolean -
is_auto_hide Opcional Boolean -
ttl Opcional String Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Opcional String -
utm_medium Opcional String -
utm_campaign Opcional String -
segment Opcional String Valores permitidos: all, INT segment_id
is_enabled Opcional Boolean -
auto_apply_to_matching Opcional Boolean -
urgency Opcional Inteiro -
curl --request POST \
--url 'https://pushye.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "wait_time": "Example",
        "wait_time_type": "Example",
        "is_enabled": true,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-09-11 12:29:39"
    }
}
POST https://pushye.com/api/flows/{flow_id}
Parâmetros Detalhes Descrição
website_id Opcional Inteiro -
name Opcional String -
title Opcional String -
description Opcional String -
url Opcional String -
image Opcional Arquivo -
wait_time Opcional Inteiro -
wait_time_type Opcional String Valores permitidos: minutes, hours, days
trigger_type Opcional String Valores permitidos: subscription, pageview
pageview_trigger_condition Opcional String Valores permitidos: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with
pageview_trigger_value Opcional String -
cancel_pageview_is_enabled Opcional Boolean -
cancel_pageview_condition Opcional String Valores permitidos: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with
cancel_pageview_value Opcional String -
cooldown_type Opcional String Valores permitidos: none, once, time
cooldown_time Opcional Inteiro -
cooldown_time_type Opcional String Valores permitidos: minutes, hours, days
button_title_1 Opcional String -
button_url_1 Opcional String -
button_title_2 Opcional String -
button_url_2 Opcional String -
is_silent Opcional Boolean -
is_auto_hide Opcional Boolean -
ttl Opcional String Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Opcional String -
utm_medium Opcional String -
utm_campaign Opcional String -
segment Opcional String Valores permitidos: all, INT segment_id
is_enabled Opcional Boolean -
auto_apply_to_matching Opcional String -
urgency Opcional Inteiro -
curl --request POST \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "wait_time": "Example",
        "wait_time_type": "Example",
        "is_enabled": true,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-09-11 12:29:39"
    }
}
DELETE https://pushye.com/api/flows/{flow_id}
curl --request DELETE \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \